@extends('layouts.default')

@section('content')
<h3>Search Files</h3>
<form method="get">
	<div class="row">
		<label for="query">Query</label>
		<input type="text" name="query" id="query" value="{{ $query }}" />
	</div>
</form>

@if( ! empty($files))
<ul id="files">
	<h4>Search results for: {{ $query }}</h4>

	@foreach($files as $file)
	<li>
		<div class="file">
			<div class="file-title">
				<img src="{{ $file->iconLink }}" />
				{{ $file->name }}
			</div>
			<div class="file-modified">
				last modified: {{ Date::format($file->modifiedTime) }}
			</div>
			<div class="file-links">
				<a href="{{ $file->webViewLink }}">view</a>
				@if( ! empty($file->webContentLink))
				<a href="{{ $file->webContentLink }}">download</a>
				@endif
				<a href="/delete/{{ $file->id }}">delete</a>
			</div>
		</div>
	</li>
	@endforeach
</ul>
@else
No results for your query: {{ $query }}
@endif
@stop